Page MenuHomePhabricator

Remove fallbacks for boost_filesystem < v3
ClosedPublic

Authored by Fabien on Dec 30 2018, 16:25.

Details

Summary

Minimum boost version is 1.58.0, which means the configure step won't
even pass with older boost.

This version has boost filesystem v3, which means the
(crappy) fallbacks for older versions can go.

Backport of core PR9727

Test Plan
make check

Diff Detail

Repository
rABC Bitcoin ABC
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Fabien created this revision.Dec 30 2018, 16:25
Herald added a reviewer: Restricted Project. · View Herald TranscriptDec 30 2018, 16:25
Herald added a subscriber: schancel. · View Herald Transcript
jasonbcox accepted this revision.Dec 30 2018, 18:28
This revision is now accepted and ready to land.Dec 30 2018, 18:28
This revision was automatically updated to reflect the committed changes.